Bug 126077 - Pls revert kernel-sourcecode to kernel-source RPM name
Pls revert kernel-sourcecode to kernel-source RPM name
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Depends On:
  Show dependency treegraph
Reported: 2004-06-15 16:04 EDT by Dax Kelson
Modified: 2014-01-21 17:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-19 08:21:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dax Kelson 2004-06-15 16:04:01 EDT
Description of problem:

Recently the package name of kernel-source changed to
kernel-sourcecode as workaround for yum/up2date issues.

Please revert the name back to kernel-source. 

The name kernel-source has been used for so long it is ingrained in
people's conscience, scripts, behaviors, and documentation (paper and

Changing the name violates the law of least surprise and causes real
world breakage.

I understand that changing it back is not fun in it's own right, but
it is the Right Thing (tm) to do and has precedence (see vim, php, and
Comment 1 Sitsofe Wheeler 2004-06-16 07:16:08 EDT
See bug 124853 . It was changed to avoid breaking up2date and yum. I
don't know that fedora can rename it back until FC3...
Comment 2 Matthew Miller 2004-06-16 10:37:19 EDT
Argh, please don't rename it back. One change is enough. And, the new
name is actually superior: if I'm talking about the src.rpm for vim, I
might say "download the vim source rpm". But for the kernel packages,
that's always been a needless ambiguity -- "no, the i386 package
*named kernel dash source". This makes that problem somewhat better.
Comment 3 Arjan van de Ven 2004-06-19 08:21:02 EDT
Unless there is a really compelling reason to rename again I don't see
the point.

In addition we're looking into removing kernel-sourcecode entirely and
replacing it with documentation on how to use the src.rpm instead, in
the fc3 timeframe.
Comment 4 Darin May 2004-07-30 14:54:14 EDT
The problem is that on a fresh FC2 install kernel-source-* is
installed, but then yum won't update it to the latest
kernel-sourcecode-* rpm -- this is indeed broken in current environments.
Comment 5 Seth Vidal 2004-07-30 14:59:36 EDT
you can run yum upgrade and it will work.

Note You need to log in before you can comment on or make changes to this bug.